Debian Bug report logs - #469081
Please link against libmysqlclient_r instead of libmysqlclient

version graph

Package: php5-mysql; Maintainer for php5-mysql is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5-mysql is src:php5.

Reported by: Stefan Fritsch <sf@sfritsch.de>

Date: Sun, 2 Mar 2008 22:42:02 UTC

Severity: wishlist

Tags: patch

Fixed in version php5/5.2.6-1

Done: Sean Finney <seanius@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#469081; Package php5-mysql. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: submit@bugs.debian.org
Subject: Please link against libmysqlclient_r instead of libmysqlclient
Date: Sun, 2 Mar 2008 23:34:54 +0100
[Message part 1 (text/plain, inline)]
package: php5-mysql
severity: wishlist
tags: patch

Dear php maintainers,

as you might know, apr-util added support for mysql recently. However, 
this feature cannot be activated yet, since it would make libaprutil 
link against libmysqlclient_r while php-mysql links against 
libmysqlclient. Unfortunately, libmysqlclient_r and libmysqlclient 
use the same symbol versions and cannot safely be used together in 
the same process.

While mysql might change the symbol versioning in the future (see 
#450535), it is unlikely that this will happen in time for lenny. 
Therefore, I ask you to change php5-mysql to link against 
libmysqlclient_r instead of libmysqlclient (patch attached).

There are some '#ifdef ZTS's in the code, but if I read the code
and [1] correctly, this is only necessary if a thread that is calling 
MySQL functions did not create the connection to the MySQL database. 
Since this cannot happen in single threaded php, it should be safe to 
just change the linkage without any code changes.

With the patch, at least the mysql extension seems to work ok (but I 
don't know how to test mysqli and pdo_mysql).

It would be nice if you could make this change soon, so that it 
receives enough testing before lenny release.

Cheers,
Stefan

[1] http://dev.mysql.com/doc/refman/5.0/en/threaded-clients.html
[libmysql_r (text/x-diff, attachment)]

Blocking bugs of 405773 added: 469081 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 22:57:07 GMT) Full text and rfc822 format available.

Blocking bugs of 395959 added: 469081 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 22:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#469081; Package php5-mysql. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #14 received at 469081@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 469081@bugs.debian.org
Subject: Bug#469081: Please link against libmysqlclient_r instead of libmysqlclient
Date: Sat, 12 Apr 2008 14:38:14 +0200
[Message part 1 (text/plain, inline)]
Hi php maintainers,

please consider this change. There is not much time left, library 
freeze for lenny is in two months.

Thanks.

Stefan
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Sean Finney <seanius@alioth.debian.org> to control@bugs.debian.org. (Sat, 03 May 2008 12:24:02 GMT) Full text and rfc822 format available.

Reply sent to Sean Finney <seanius@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Fritsch <sf@sfritsch.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 469081-close@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: 469081-close@bugs.debian.org
Subject: Bug#469081: fixed in php5 5.2.6-1
Date: Sun, 11 May 2008 22:11:48 +0000
Source: php5
Source-Version: 5.2.6-1

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive:

libapache2-mod-php5_5.2.6-1_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5_5.2.6-1_amd64.deb
libapache2-mod-php5filter_5.2.6-1_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5filter_5.2.6-1_amd64.deb
php-pear_5.2.6-1_all.deb
  to pool/main/p/php5/php-pear_5.2.6-1_all.deb
php5-cgi_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-cgi_5.2.6-1_amd64.deb
php5-cli_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-cli_5.2.6-1_amd64.deb
php5-common_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-common_5.2.6-1_amd64.deb
php5-curl_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-curl_5.2.6-1_amd64.deb
php5-dbg_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-dbg_5.2.6-1_amd64.deb
php5-dev_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-dev_5.2.6-1_amd64.deb
php5-gd_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-gd_5.2.6-1_amd64.deb
php5-gmp_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-gmp_5.2.6-1_amd64.deb
php5-imap_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-imap_5.2.6-1_amd64.deb
php5-interbase_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-interbase_5.2.6-1_amd64.deb
php5-ldap_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-ldap_5.2.6-1_amd64.deb
php5-mcrypt_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-mcrypt_5.2.6-1_amd64.deb
php5-mhash_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-mhash_5.2.6-1_amd64.deb
php5-mysql_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-mysql_5.2.6-1_amd64.deb
php5-odbc_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-odbc_5.2.6-1_amd64.deb
php5-pgsql_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-pgsql_5.2.6-1_amd64.deb
php5-pspell_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-pspell_5.2.6-1_amd64.deb
php5-recode_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-recode_5.2.6-1_amd64.deb
php5-snmp_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-snmp_5.2.6-1_amd64.deb
php5-sqlite_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-sqlite_5.2.6-1_amd64.deb
php5-sybase_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-sybase_5.2.6-1_amd64.deb
php5-tidy_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-tidy_5.2.6-1_amd64.deb
php5-xmlrpc_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-xmlrpc_5.2.6-1_amd64.deb
php5-xsl_5.2.6-1_amd64.deb
  to pool/main/p/php5/php5-xsl_5.2.6-1_amd64.deb
php5_5.2.6-1.diff.gz
  to pool/main/p/php5/php5_5.2.6-1.diff.gz
php5_5.2.6-1.dsc
  to pool/main/p/php5/php5_5.2.6-1.dsc
php5_5.2.6-1_all.deb
  to pool/main/p/php5/php5_5.2.6-1_all.deb
php5_5.2.6.orig.tar.gz
  to pool/main/p/php5/php5_5.2.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sean Finney <seanius@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 May 2008 21:15:47 +0200
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-dev php5-dbg php-pear php5-curl php5-gd php5-gmp php5-imap php5-interbase php5-ldap php5-mcrypt php5-mhash php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.2.6-1
Distribution: unstable
Urgency: medium
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: Sean Finney <seanius@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (meta-package)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mhash - MHASH module for php5
 php5-mysql - MySQL module for php5
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 243214 331034 413712 429981 434351 438120 447174 459814 463979 469081 471104 471324 478613
Changes: 
 php5 (5.2.6-1) unstable; urgency=medium
 .
   * New upstream release. Fixes several security issues of unknown impact:
     + possible stack buffer overflow in the FastCGI SAPI
     + integer overflow in printf()
     + unknown issue CVE-2008-0599
     + a safe_mode bypass in cURL
     + incomplete multibyte chars inside escapeshellcmd()
 .
   [ Sean Finney ]
   * New patch (use_embedded_timezonedb.patch) allows us to default to
     using the system provided timezone database instead of the one bundled
     with PHP.  Many thanks to Joe Orten from Red Hat for the patch!
     (closes: #447174, #471104).
   * Updated the Suhosin patch to v0.9.6 (5.2.6).
   * New patch: force_libmysqlclient_r.patch, forcing the build system
     to link against the threadsafe libmysqlclient without having to enable
     the other zts features in php.  This is required since the apr libraries
     are now linking against this as well and mysql exports the same symbols
     from both libraries.  Thanks to Stefan Fritsch (closes: #469081).
   * Massaged/updated various other patches in debian/patches
   * Update copyright information to have information about non-trivial
     patches worthy of copyright attributions, and update information about
     current debian maintainers.
   * Add some useful quilt settings in debian/rules to lower the amount of
     noise in future quilt updates.
   * Now building a php5 apache2 module with filter-module support in a new
     libapache2-mod-php5filter package (closes: #438120).
 .
   [ Thijs Kinkhorst ]
   * Checked for policy 3.7.3, no changes.
 .
   [ Raphael Geissert ]
   * Build a php5-dbg package with the debug symbols of the SAPIs & extensions
    + Bump debhelper dependency to >= 5 as dh_strip behaves differently.
   * debian/watch: refactored so it can actually be used to download the tarball
   * debian/rules: removed bashisms (Closes: #478613)
   * debian/control: add a notice about Suhosin being applied (Closes: #471324)
     + Additionally make sure the PHP boilerplate is the same for each package
   * debian/patches/manpage_spelling.patch:
     - fix spelling mistakes in man page (Closes: #413712)
   * debian/NEWS: s/suhosin/Suhosin (Closes: #434351)
   * debian/control: removed ORed postgresql-dev build-dep (Closes: #429981)
     + postgresql-dev is a transitional package since etch
   * Override the following lintian messages:
     + SAPI packages package-contains-empty-directory usr/lib/php5/20060613+lfs/
     + php5-common package-contains-empty-directory usr/lib/php5/libexec/
   * Set our custom PHP_PEAR_DOWNLOAD_DIR when building the pear stuff
     + Avoids the creation of /tmp/pear (Closes: #463979)
   * Replaced all 'make' with '$(MAKE)' so any extra flag is preserved
   * debian/rules: s/DEB_BUILD_ARCH/DEB_HOST_ARCH
     + HOST is the machine the package is built for.
   * Recommend php5-cli instead of depending on it in php-pear (Closes: #243214)
     + php5-cli is only needed by the, rearely used, pear installer
   * debian/README.source: inform how to generate php5-dbg's Depends
   * debian/patches/029-php.ini_paranoid.patch: updated (Closes: #459814)
     + Thanks to Javier Fernández-Sanguino Peña <jfs@computer.org>
     Changes:
     - includes some variables which were no present in the first version and
       removes modules not available in PHP5. Also fixes typos in comments which
       have since been fixed in php.ini-dist
     - adds notes (Debian-specific) of which security features applications
       should not rely on
     - add more information of why some variables were enabled
     - reorder the description of chagnes to suit the location in the config file
     - add notes of deprecated features in PHP6
     - add more (suggested) changes to the session module to make a more secure
       use and storage of session IDs.
     - remove the 'include' function from the list of disabled functions as it
       is quite common for most applications
     - modify the valid 'include_path' to make it really paranoid ('.' is not
       allowed anymore)
     - adjust locations of directories, including the upload dir and session dir
     - proper definition for sql.safe_mode and description (missing in
       php.ini-dist of what it is really for)
     - added session configuration variables which are not available in
       php.ini-dist together with recommended paranoid values
       (session.referer_check, session.entropy_file, session.entropy_length)
     - added more information to session configuration (not available in php.ini)
       based on the information at php.net
   * Lintian-based changes:
     - debian/php5-common.dirs: do NOT create usr/share/doc/php5-common/PEAR/
     - fixed a hyphen-used-as-minus-sign in php5(1):319
     - get rid of usr/share/php/data/Structures_Graph/LICENSE in php-pear
   * Move /usr/share/php/docs to /usr/share/doc/pear-php/PEAR (Closes: #331034)
 .
   [ Steve Langasek ]
   * Step down from the PHP maintenance team, removing myself from uploaders.
     So long, and thanks for all the fish!
Checksums-Sha1: 
 8fd0dbdd88f2750daf96f4fc94f57a320d0207ff 2496 php5_5.2.6-1.dsc
 54058c73eb5a314eb2b31925477f298d898b520a 12046184 php5_5.2.6.orig.tar.gz
 9fbc61f8eed03a8422c2c24729907cd5af898798 134947 php5_5.2.6-1.diff.gz
 4d158673b9c64f6307d68cb44b225b48ad118a26 363996 php5-common_5.2.6-1_amd64.deb
 eed6c4118907895a5a156fb7d59748cd85f6d335 2616846 libapache2-mod-php5_5.2.6-1_amd64.deb
 729e7468989e86d43cc4fdf62f0008f6883fddcf 2615530 libapache2-mod-php5filter_5.2.6-1_amd64.deb
 8106dda297d15702bee6c7d6dff3ae797e30e9ea 5091356 php5-cgi_5.2.6-1_amd64.deb
 d406fb76b7110f2c560d5eb63342d6b90675051f 2565592 php5-cli_5.2.6-1_amd64.deb
 873ec3caca1d6603a3a63bbda4c92b48749efa95 366488 php5-dev_5.2.6-1_amd64.deb
 3d99718dcb3c3e1f409e62cb07591dd1d73f5e34 7145970 php5-dbg_5.2.6-1_amd64.deb
 386d26a3912f020ba21a9daa29d38c56b9d76de8 24906 php5-curl_5.2.6-1_amd64.deb
 a23d93c82b3e6bc7b03f9ee3252d6b353d5412eb 36828 php5-gd_5.2.6-1_amd64.deb
 3b9ef1929781b9385fa1ddae2397f72fa6148ffb 17416 php5-gmp_5.2.6-1_amd64.deb
 e0e7b7263267b21cd9bab6e674ed38fa0176b3ad 37622 php5-imap_5.2.6-1_amd64.deb
 e01717d7d1688b5bddbff1f1b4d3a985168ca921 47496 php5-interbase_5.2.6-1_amd64.deb
 4a4a507b01349f02cee96c269cf7ca8474a1b133 19992 php5-ldap_5.2.6-1_amd64.deb
 cfcbaadc12d10f9692ed32fbaf9dce59f95a97f6 13952 php5-mcrypt_5.2.6-1_amd64.deb
 5a093f031bc83adf6903304a01f18cd7d6ffe135 5366 php5-mhash_5.2.6-1_amd64.deb
 c0129c271176772894567526120461692007453c 72320 php5-mysql_5.2.6-1_amd64.deb
 c936cec724d09426c2d29ec09415e9a06a917c41 37314 php5-odbc_5.2.6-1_amd64.deb
 4a44b1d103e351a8766b565ee3a7ffde3ed2d639 56076 php5-pgsql_5.2.6-1_amd64.deb
 74884c417f88f5f9b88deef764f1831245acad59 9464 php5-pspell_5.2.6-1_amd64.deb
 da76ab76c38d7a42584ca17933cc71a2f99283d2 4982 php5-recode_5.2.6-1_amd64.deb
 80c16e873bc701f46b6624ab6c357c6f3f366fe5 12190 php5-snmp_5.2.6-1_amd64.deb
 1c5b5599106d894cb58aced91a8618cd03ea32e8 39200 php5-sqlite_5.2.6-1_amd64.deb
 b504ea5c75bdbe827747707472015d76ab294a62 27802 php5-sybase_5.2.6-1_amd64.deb
 e6b260229da1eb20b2a36b9b1707356dbbdbcd65 17828 php5-tidy_5.2.6-1_amd64.deb
 46abc0774e7c49283b7e2ba570516fafa2a4eb18 40020 php5-xmlrpc_5.2.6-1_amd64.deb
 4950c4a477c7b7e34a0b9110c5a287d883533148 13772 php5-xsl_5.2.6-1_amd64.deb
 277fe9fdfe9ead85853c3aeca51cfc3d8ff3b2ee 1070 php5_5.2.6-1_all.deb
 f87c41e4ee2b56380576161eb3e4122b7ccf5980 336384 php-pear_5.2.6-1_all.deb
Checksums-Sha256: 
 4b2749b168869d86cd2bbfd9a806707240faba22aeb5a7ff3aa53387176740f4 2496 php5_5.2.6-1.dsc
 8ea6dd3010b260d80cf41619363d0d3593ddd97c3a3e09f229816635fce23149 12046184 php5_5.2.6.orig.tar.gz
 406f3f51b4e724ec0f96c544b6978b1082fdc479117b9b68c8c380d1afceaa9b 134947 php5_5.2.6-1.diff.gz
 750b8e18157a383b90f7bae34487bd50c7fccdb9e3c446ff5a6384d10696bee3 363996 php5-common_5.2.6-1_amd64.deb
 32fbc4f09da1f21a0be9ee16b3a4d2b55ba154a1a727f67249060334bfccebb5 2616846 libapache2-mod-php5_5.2.6-1_amd64.deb
 b8035be291dcf406d25a2477d84a4ee778242b15952770fbab356688365e418c 2615530 libapache2-mod-php5filter_5.2.6-1_amd64.deb
 be160d650b076cf0455cf008e389b25b148e164d8e94ff7aae798787910f4936 5091356 php5-cgi_5.2.6-1_amd64.deb
 670503ea5ae7143903d6a031eda146237625c2b811ae11e0f010103c533682d0 2565592 php5-cli_5.2.6-1_amd64.deb
 97831a9125a0a20553fcc8d2ac510b7a378d3c44d3622ed73652e5a434cbd313 366488 php5-dev_5.2.6-1_amd64.deb
 2c2e7eeb9584ab015fe4bca71fd55d985071131617be8dcf6566fe76bd6ddb0c 7145970 php5-dbg_5.2.6-1_amd64.deb
 4b4fa8d8b146434ed5ef78097913f590c8b52615e445b5dd82be21b921969e49 24906 php5-curl_5.2.6-1_amd64.deb
 a0ad64479146301a4d2fd7b5823f826afbd66883ef783923b4a283364a708e04 36828 php5-gd_5.2.6-1_amd64.deb
 6edeac9b541f32b8ecf67f7ff2e7f9dcd8bec335f6df31b85c77b0050d38ff44 17416 php5-gmp_5.2.6-1_amd64.deb
 55ceea68ed04a96d6dfe2cf0ec4f4fc04729def052d21151b4ec4aa936c85456 37622 php5-imap_5.2.6-1_amd64.deb
 8baf5e5fa0c9ecb6d5a92867195a336909b238e5b7e1e8026457835095537d81 47496 php5-interbase_5.2.6-1_amd64.deb
 358c46a00d37a70fb5ae793eec848f18ac1725082ca6fb22a21e75a5a7ab932e 19992 php5-ldap_5.2.6-1_amd64.deb
 e1104273f59929f2ebce0a137dd0fa646ca699c9757a8ed16e426d35c3d279cb 13952 php5-mcrypt_5.2.6-1_amd64.deb
 1b5a049f6d7329d0eff9fbb80feddeee05ed18709eab5147e0c6bad2195a0844 5366 php5-mhash_5.2.6-1_amd64.deb
 79d116735afc39f6b84407e175131cb1f79ee48f246f3687725be53121c578f4 72320 php5-mysql_5.2.6-1_amd64.deb
 ff2d11fd6906413172f577a98021e747daab8376f013a3ea2816be1fbc3e5822 37314 php5-odbc_5.2.6-1_amd64.deb
 cc531b49a6ac2d86fd92993228722ca0901482662fb7855763339f797dd90a18 56076 php5-pgsql_5.2.6-1_amd64.deb
 f3d51fa3fa7ad4f844ad48e2044054c600a709f0632a8d001af901a28da64440 9464 php5-pspell_5.2.6-1_amd64.deb
 a568b1e8e6c70d1b67e739435f3c88b916b53452b5b15be74e704c688e0be33e 4982 php5-recode_5.2.6-1_amd64.deb
 691bef645d346d2c2dead35132c8437fa07855a1385238e6d70310476f5b4609 12190 php5-snmp_5.2.6-1_amd64.deb
 f0c92ccf8b74866af9aed75bc916f8743506a59b18d01ad560396385b8ec238d 39200 php5-sqlite_5.2.6-1_amd64.deb
 101da61f32d9d7f2c452f1ba89f02529acca14bdbe4abd89cd60aaa223e486cf 27802 php5-sybase_5.2.6-1_amd64.deb
 2992b01655d2729c6e757fc8e1f3c348a74049a482719bc9e23b98c209ab27fc 17828 php5-tidy_5.2.6-1_amd64.deb
 288b916f3dcbfc5e88542e30823afacd6b48ee2b2902fe1a3d2bc1b93f30ed28 40020 php5-xmlrpc_5.2.6-1_amd64.deb
 79707302c24001f96acffb951a2eca56f176c0995ee9f5ec5fd60e1a2ba53958 13772 php5-xsl_5.2.6-1_amd64.deb
 d7e3b8f1f871ed8d8ad655b652dff45d89d7cbee8cc76ffe40d73f322a8ddfc8 1070 php5_5.2.6-1_all.deb
 55e0805916d2020a5ed702fb2a0a9c30f040b2681ae6f465d8ea7e71111d8917 336384 php-pear_5.2.6-1_all.deb
Files: 
 36df9719a3bd6bfabd60a4c0a6e506da 2496 web optional php5_5.2.6-1.dsc
 1720f95f26c506338f0dba3a51906bbd 12046184 web optional php5_5.2.6.orig.tar.gz
 b4ac748889ab0791bbca5c52970952bd 134947 web optional php5_5.2.6-1.diff.gz
 4e2f481dfb436bd999a173959b2044a6 363996 web optional php5-common_5.2.6-1_amd64.deb
 d45791ad411b4a9bbf246ec164b2f648 2616846 web optional libapache2-mod-php5_5.2.6-1_amd64.deb
 15aa7caa01addb62ea0ddc9bd76041bb 2615530 web optional libapache2-mod-php5filter_5.2.6-1_amd64.deb
 7ae7efc65f10fd4dbfd14004a0d3d2a4 5091356 web optional php5-cgi_5.2.6-1_amd64.deb
 cd9573602d0948c7d57144c760a8df84 2565592 web optional php5-cli_5.2.6-1_amd64.deb
 821e270e3c11c0c12681f007a8b4d258 366488 devel optional php5-dev_5.2.6-1_amd64.deb
 6386f62c5c11b91a3c249d638a250ae0 7145970 devel extra php5-dbg_5.2.6-1_amd64.deb
 02b4e55c8ec566d770ecf3198100c2d7 24906 web optional php5-curl_5.2.6-1_amd64.deb
 5a774deafee181ffd47f5ce691364193 36828 web optional php5-gd_5.2.6-1_amd64.deb
 bf98f8abfc005dc0ccede90aaedda70d 17416 web optional php5-gmp_5.2.6-1_amd64.deb
 2303461208a72b0b065540a4f2d97bec 37622 web optional php5-imap_5.2.6-1_amd64.deb
 86968cf38a2b6246aaecfe93e0ec3182 47496 web optional php5-interbase_5.2.6-1_amd64.deb
 7077c3ddcd5789a7085d7be05adefa01 19992 web optional php5-ldap_5.2.6-1_amd64.deb
 f30d174835fb869f162db58791038429 13952 web optional php5-mcrypt_5.2.6-1_amd64.deb
 035ba7c4ff2a4a3a101ec6ec4b43d9e0 5366 web optional php5-mhash_5.2.6-1_amd64.deb
 843e61c53ec0b47d279a3cf983b4585c 72320 web optional php5-mysql_5.2.6-1_amd64.deb
 e66f8cc94dfbcf584b69896731185211 37314 web optional php5-odbc_5.2.6-1_amd64.deb
 ac54dfcb000541a9ad9ce8c0a1c6159f 56076 web optional php5-pgsql_5.2.6-1_amd64.deb
 5510dd557056f60cb804aca658d35053 9464 web optional php5-pspell_5.2.6-1_amd64.deb
 5055f4b41fcf3f1198f4f66081b3984e 4982 web optional php5-recode_5.2.6-1_amd64.deb
 eae0db9280836acc72e686bdedd1453b 12190 web optional php5-snmp_5.2.6-1_amd64.deb
 9a2a711f4912bde386ecaa6da948ff5c 39200 web optional php5-sqlite_5.2.6-1_amd64.deb
 925420484eebdca2c987c9c932e94bb9 27802 web optional php5-sybase_5.2.6-1_amd64.deb
 488f41b73b47a1b3c0d248ac1a4e5d4c 17828 web optional php5-tidy_5.2.6-1_amd64.deb
 ff9010b75ec5ab66c597d9251ceeab8b 40020 web optional php5-xmlrpc_5.2.6-1_amd64.deb
 b3a9c8e491676283a7c9925db078684b 13772 web optional php5-xsl_5.2.6-1_amd64.deb
 f9f6a0bcf6783ccb6f7ed3af9a9c2cf6 1070 web optional php5_5.2.6-1_all.deb
 75e88b397037cb4f5a51786dbfc8cc48 336384 web optional php-pear_5.2.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIHhNPynjLPm522B0RAsGrAJ9hOVyrfLq9BH+x6XriNw87Yw5PtgCfcoY4
mY1UdfUE5uXQTBLnOZWIAus=
=N35c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Jul 2008 07:43:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:24:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.